%define name sliplogin
%define version 2.1.1
%define release 10mdk

Summary: A login program for SLIP connections.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Other
License: BSD
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/serial/sliplogin-2.1.1.tar.bz2
Patch0: sliplogin-2.1.0-misc.patch.bz2
Patch1: sliplogin-2.1.1-modes.patch.bz2
Patch2: sliplogin-2.1.0-path.patch.bz2
Patch4: sliplogin-2.1.0-glibc.patch.bz2
Patch5: sliplogin-2.1.1-includes.patch.bz2
Patch6: sliplogin-2.1.1-netdev.patch.bz2
Patch7: sliplogin-2.1.1-kernel24.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buidlroot

%description
The sliplogin utility turns the terminal line on standard input into
a SLIP (Serial Line Internet Protocol) link to a remote host. Sliplogin
is usually used to allow dial-in SLIP connections.

Install the sliplogin package if you need to support dial-in SLIP
connections.

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 -b .modes
%patch2 -p1 -b .path
%patch4 -p1 -b .glibc
%patch5 -p1 -b .includes
%patch6 -p1 -b .netdev
%patch7 -p1 -b .kernel24

%build
make clean
rm -f sliplogin
%make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" access
%make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/slip
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

make	SLIP=$RPM_BUILD_ROOT%{_sysconfdir}/slip \
	SBIN=$RPM_BUILD_ROOT%{_sbindir} \
	MAN=$RPM_BUILD_ROOT%{_mandir} \
	install

install -m644 {slip.tty,slip.hosts,slip.route,slip.passwd} $RPM_BUILD_ROOT%{_sysconfdir}/slip/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.dynamic README.nis CHANGES TROUBLE_SHOOTING TODO
%config %{_sysconfdir}/slip/
%_sbindir/*
%{_mandir}/man8/*

%changelog
* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-10mdk
- fix files section

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-9mdk
- RH patches added by Frederic Couchet <fcouchet@april.org>

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-8mdk
- BM
- macros

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-7mdk
- changed groups to new groups 2.1.1-7mdk

* Tue Nov 30 1999 Florent Villard <warly@mandrakesoft.com>
- built in new environment

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- upgraded to 2.1.1
- struct password needs <pwd.h>

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- removed excludearch for alpha

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
